Bug 948971 - (CVE-2013-1930) CVE-2013-1930 mantis: (Issue) Close button available despite of workflow restrictions
CVE-2013-1930 mantis: (Issue) Close button available despite of workflow rest...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130131,reported=2...
: Security
Depends On: 948995
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-05 11:04 EDT by Jan Lieskovsky
Modified: 2015-07-31 03:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-04-05 11:04:42 EDT
A security flaw was found in the way MantisBT, a web-based issue tracking system, performed user-privilege check when displaying issue close button (close button was previously shown at a web page even when 'close' was not a valid status by / according to workflow definition). An unprivileged MantisBT user could use this flaw to close particular issue even though the particular workflow settings did not permit it.

References:
[1] http://www.openwall.com/lists/oss-security/2013/04/04/8

Upstream ticket:
[2] http://www.mantisbt.org/bugs/view.php?id=15453

Upstream patches:
[3] https://github.com/mantisbt/mantisbt/commit/d85e69feac67e2fa972694bf183df5bdb1d6837a (against 1.2.x branch)
[4] https://github.com/mantisbt/mantisbt/commit/562db4f49e0c2038c56f98e983dedede316f4236 (against master)
Comment 1 Jan Lieskovsky 2013-04-05 11:07:13 EDT
This issue affects the versions of the mantis package, as shipped with Fedora release of 17 and 18. Please schedule an update.

--

This issue did NOT affect the version of the mantis package, as shipped with Fedora EPEL-5.
Comment 2 Jan Lieskovsky 2013-04-05 11:40:33 EDT
Created mantis tracking bugs for this issue

Affects: fedora-all [bug 948995]
Comment 3 Jan Lieskovsky 2013-04-09 05:53:29 EDT
The CVE identifier of CVE-2013-1930 has been assigned to this issue:
  http://www.openwall.com/lists/oss-security/2013/04/06/4
Comment 4 Fedora Update System 2013-04-24 20:32:12 EDT
mantis-1.2.15-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-04-24 20:47:00 EDT
mantis-1.2.15-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-08-04 19:02:06 EDT
mantis-1.2.15-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.